package com.dahe.gldriver.ui.account.authperson

import android.os.Bundle
import com.dahe.gldriver.R
import com.dahe.gldriver.databinding.ActivityAuthBankcardBinding
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.utils.ActivityUtils
import com.dahe.mylibrary.utils.ImageLoader
import com.dahe.mylibrary.utils.PopsUtils

/**
 * @ClassName AuthBankCardActivity
 * @Author john
 * @Date 2024/1/25 15:31
 * @Description TODO
 */
class AuthBankCardActivity : BaseActivity<ActivityAuthBankcardBinding>() {
    override fun initView(savedInstanceState: Bundle?) {
        setStatusBarColor(R.color.white)
        setTitleBar("实名认证", true)

        binding.run {
            btnOk.setOnClickListener {
                ActivityUtils.startActivity(mContext, AuthFaceActivity::class.java)
            }
            ivFront.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivFront)
                }
            }
        }
    }

    override fun initDate() {
    }
}