package com.dahe.gldriver.ui.account.authperson

import android.os.Bundle
import com.dahe.gldriver.R
import com.dahe.gldriver.databinding.ActivityAuthDrivingBinding
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.utils.ActivityUtils
import com.dahe.mylibrary.utils.ImageLoader
import com.dahe.mylibrary.utils.PopsUtils

/**
 * @ClassName AuthRoleActivity
 * @Author 用户
 * @Date 2024/1/25 11:15
 * @Description 行驶证认证
 */
class AuthDrivingActivity : BaseActivity<ActivityAuthDrivingBinding>() {
    override fun initView(savedInstanceState: Bundle?) {
        setStatusBarColor(R.color.white)
        setTitleBar("实名认证", true)
        binding.btnOk.setOnClickListener {
            ActivityUtils.startActivity(mContext, AuthRoadActivity::class.java)
        }
        binding.run {
            ivFront.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivFront)
                }
            }

            ivBack.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivBack)
                }
            }
            ivCar.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivCar)
                }
            }
        }
    }

    override fun initDate() {
    }
}